> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report Schedule by ID



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml get /api/content/v1/reportschedules/{scheduleId}
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/{scheduleId}:
    get:
      tags:
        - Scheduled Reports API
      summary: Get Report Schedule by ID
      operationId: getReportScheduleById
      parameters:
        - in: path
          name: scheduleId
          required: true
          schema:
            type: integer
          description: ID of the schedule to retrieve
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportScheduleItem'
              examples:
                example:
                  value:
                    id: 123456
                    reportViewId: 789012
                    pageId: 345678
                    title: Monthly Sales Report
                    schedule:
                      frequency: MONTHLY
                      daysToRun: '1'
                      hourOfDay: 9
                      minOfHour: 0
                      timezone: America/New_York
                      enabled: true
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    ReportScheduleItem:
      type: object
      properties:
        id:
          type: integer
        reportViewId:
          type: integer
        pageId:
          type: integer
        title:
          type: string
        viewName:
          type: string
        type:
          type: string
        ownerId:
          type: integer
        embedViewId:
          type: integer
        owner:
          type: boolean
        cardCount:
          type: integer
        recipientCount:
          type: integer
        cardId:
          type: integer
        schedule:
          $ref: '#/components/schemas/ReportSchedule'
    ReportSchedule:
      type: object
      properties:
        frequency:
          type: string
        daysToRun:
          type: string
        hourOfDay:
          type: integer
        minOfHour:
          type: integer
        timezone:
          type: string
        enabled:
          type: boolean
        nextRunDate:
          type: integer
          description: Epoch milliseconds
        additionalRecipients:
          type: array
          items:
            $ref: '#/components/schemas/ReportScheduleRecipient'
    ReportScheduleRecipient:
      type: object
      properties:
        type:
          type: string
          enum:
            - EMAIL
        value:
          type: string
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````